Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QTextCodec_ConverterState

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QTextCodec_ConverterState

All Implemented Interfaces:
  QtJambiInterface

    public class QTextCodec_ConverterState

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.Signal0, QSignalEmitter.Signal1, QSignalEmitter.Signal2, QSignalEmitter.Signal3, QSignalEmitter.Signal4, QSignalEmitter.Signal5, QSignalEmitter.Signal6, QSignalEmitter.Signal7, QSignalEmitter.Signal8, QSignalEmitter.Signal9`

Constructor Summary
`QTextCodec_ConverterState()` Constructs a ConverterState object.
`QTextCodec_ConverterState(QTextCodec.ConversionFlag[] f)` Constructs a ConverterState object initialized with the given `f`.
`QTextCodec_ConverterState(QTextCodec.ConversionFlags f)` Constructs a ConverterState object initialized with the given `f`.

Method Summary
`QTextCodec.ConversionFlags` | `flags()` Returns the ConversionFlags of this ConverterState object.
`static QTextCodec_ConverterState` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QTextCodec_ConverterState instance pointed to by `nativePointer`.
`int[]` | `state_data()`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, equals, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QTextCodec_ConverterState

    public QTextCodec_ConverterState(QTextCodec.ConversionFlag[] f)

  Constructs a ConverterState object initialized with the given `f`.

### QTextCodec_ConverterState

    public QTextCodec_ConverterState()

  Constructs a ConverterState object.

### QTextCodec_ConverterState

    public QTextCodec_ConverterState(QTextCodec.ConversionFlags f)

  Constructs a ConverterState object initialized with the given `f`.

Method Detail

### flags

    public final QTextCodec.ConversionFlags flags()

  Returns the ConversionFlags of this ConverterState object.

### state_data

    public final int[] state_data()

### fromNativePointer

    public static QTextCodec_ConverterState fromNativePointer(QNativePointer nativePointer)

  This method returns the QTextCodec_ConverterState instance pointed to by `nativePointer`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD